package hero.ra.timerreceiver;

/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
 --------------------------------------------------------------------------
 * $Id$
 *
 --------------------------------------------------------------------------
 */


import hero.interfaces.DeadlineSessionLocal;
import hero.interfaces.DeadlineSessionLocalHome;
import hero.interfaces.DeadlineSessionUtil;
import hero.ra.BonitaService;

import javax.management.NotificationListener;
import javax.management.Notification;


public class TimerReceiver implements TimerReceiverMBean,
                                      NotificationListener,
                                      BonitaService
{
	public void handleNotification(Notification n, Object handback)
	{		
		try{
			String type = (String)n.getType();
			String projectName = type.substring(type.indexOf(":")+1);
			projectName = projectName.substring(0,projectName.indexOf(":"));
			String nodeName = type.substring(0,type.indexOf(":"));
		
			DeadlineSessionLocalHome dsh = DeadlineSessionUtil.getLocalHome();
			DeadlineSessionLocal ds = dsh.create();
			ds.executeHookDeadline(type, projectName, nodeName);					
		}
		catch(Exception hh)
		{
			hh.printStackTrace();
		}
	}

	public void startService() throws Exception
	{
	}
	
	public void stopService()
	{
	}
}
